<?php
/**
 * Handles adding "more tools" tab in AO admin settings page which promotes (future) AO
 * addons and/or affiliate services.
 */

if ( ! defined( 'ABSPATH' ) ) {
    exit;
}

class autoptimizePartners
{
    public function __construct()
    {
        $this->run();
    }

    public function run()
    {

    }

    protected function enabled()
    {
        return apply_filters( 'autoptimize_filter_show_partner_tabs', true );
    }

    public function add_partner_tabs( $in )
    {
        $in = array_merge( $in, array(
            'ao_partners' => __( 'Optimize More!', 'autoptimize' ),
        ) );

        return $in;
    }

    public function add_admin_menu()
    {
        if ( $this->enabled() ) {
            add_submenu_page( null, 'AO partner', 'AO partner', 'manage_options', 'ao_partners', array( $this, 'ao_partners_page' ) );
        }
    }



    public function ao_partners_page()
    {
?>

    <script>document.title = "Autoptimize: <?php _e( 'Optimize More!', 'autoptimize' ); ?> " + document.title;</script>

<?php
    }
}
